WinShopAPI docs
ReferenceProduct

List a product's supplier codes

Returns the codes each supplier uses for this product. Requires `Permissions.Product.View`.

GET
/api/products/{productId}/suppliers-product-code

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

productId*integer
Formatint32

Response Body

application/json
  1. response
[index: integer]?

The code one supplier uses for a product.

curl -X GET 'https://<your-instance>/api/products/0/suppliers-product-code' \  -H 'Authorization: Bearer <access-token>'
[  {    "allowedWarehouseId": 0,    "colorId": 0,    "createdAt": "2019-08-24T14:15:22Z",    "dimensionId": 0,    "id": 0,    "isInvalid": true,    "lastModify": "2019-08-24T14:15:22Z",    "lengthId": 0,    "price": 0,    "priceCoefficient": 0,    "productId": 0,    "quantityCoefficient": 0,    "sizeId": 0,    "supplierId": 0,    "supplierProductCode": "string",    "unitId": 0,    "userId": 0,    "variantId": 0  }]